#include "SMTPCommand.h"

namespace mail {
   
   int SMTPCommand::processCommand(coreutils::ZString &request, core::TCPSession &session) {
      return processCommand(request, (SMTPSession &)session, (SMTPServer &)session.server);
   }
   
   int SMTPCommand::processCommand(coreutils::ZString &request, SMTPSession &session, SMTPServer &server) {
      return 0;
   }
   
   void SMTPCommand::grabInput(SMTPSession &session) {
      session.server.commands.grabInput(session, *this);	 
   }
   
   void SMTPCommand::clearGrab(SMTPSession &session) {
      session.server.commands.clearGrab(session);	 
   }
   
}
